View Issue Details

IDProjectCategoryView StatusLast Update
14272Bug reports[All Projects] Expression Managerpublic2019-07-24 00:36
ReporterDenisChenuAssigned Tocdorin 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14272: Multiple text with comment and subquestion «comment» validation and logic file is broken
Description

If you add comment as Subquestion code in multiple text this comment : EM have some issue

Steps To Reproduce

Import included survey :
Look at subquestion : see comment (the second one)

  1. Look at question survey logic file : disappear
  2. Launch survey, deactivate javascript :
    2.A. enter somthing in SQ01comment : OK, you can't validate
    2.B. remove SQ01comment, add something in commentcomment : validate (it's OK with javascript system that unckeck checkbox)
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Relationships

related to 14271 closedDenisChenu Some words used by LS can be used as question/subquestion/answer codes 
related to 14495 closedDenisChenu Fix for duplicate fieldname not working 

Activities

DenisChenu

DenisChenu

2018-11-22 18:16

developer  

limesurvey_survey_multipleTextComment.lss (16,748 bytes)
DenisChenu

DenisChenu

2018-11-22 18:18

developer   ~49749

Last edited: 2018-11-22 18:21

View 2 revisions

The good fix : fix Expression manager to test if current code is really a comment (it test only end of varname)
The quick fix : add it here : https://github.com/LimeSurvey/LimeSurvey/blob/b75afc09fb5acc631c1f90b1aefaf49b5b546763/application/models/Question.php#L188
Remind : disable ENDING with comment (same issue with SQ02comment) only for Multiple text with comment

DenisChenu

DenisChenu

2018-11-22 18:21

developer  

limesurvey_survey_multipleTextComment2.lss (16,762 bytes)
DenisChenu

DenisChenu

2019-07-15 11:50

developer   ~52879

@cdorin : i think it fixed now : we disallow sub question code ending with comment : https://github.com/LimeSurvey/LimeSurvey/commit/a47c09d18bf47b1205b5586d451ee6d2002cef4b

Issue History

Date Modified Username Field Change
2018-11-22 18:16 DenisChenu New Issue
2018-11-22 18:16 DenisChenu File Added: Capture du 2018-11-22 18-06-45.png
2018-11-22 18:16 DenisChenu File Added: Capture du 2018-11-22 18-16-08.png
2018-11-22 18:16 DenisChenu File Added: limesurvey_survey_multipleTextComment.lss
2018-11-22 18:18 DenisChenu Note Added: 49749
2018-11-22 18:21 DenisChenu Note Edited: 49749 View Revisions
2018-11-22 18:21 DenisChenu File Added: limesurvey_survey_multipleTextComment2.lss
2018-11-22 18:22 DenisChenu Relationship added related to 14271
2019-01-10 16:41 LouisGac Assigned To => dominikvitt
2019-01-10 16:41 LouisGac Status new => assigned
2019-07-15 11:41 dominikvitt Assigned To dominikvitt => cdorin
2019-07-15 11:49 DenisChenu Relationship added related to 14495
2019-07-15 11:50 DenisChenu Note Added: 52879
2019-07-24 00:36 DenisChenu Status assigned => resolved
2019-07-24 00:36 DenisChenu Resolution open => fixed
2019-07-24 00:36 DenisChenu Fixed in Version => 3.15.x